#include <iostream>
#include <vector>
#include <algorithm>
#include <iomanip>
using namespace std;
struct Frilenser
{
	double a,p;
};
bool bolji(Frilenser a,Frilenser b)
{
	return a.p<b.p;
}
int main()
{
	int n,i;
	long long s=0;
	double m=0,r,d;
	cin>>n;
	vector<Frilenser>v(n);
	for(i=0;i<n;i++)
	{
	cin>>v[i].a>>v[i].p;
	s=s+v[i].a;
}
    sort(v.begin(),v.end(),bolji);
	for(i=0;i<n;i++)
	{
	
	    r=((double)s/100.0)*v[i].p;
	    m=max(m,r);
	    s=s-v[i].a;
	}
	cout<<fixed<<showpoint<<setprecision(4)<<m;
	return 0;
}